Лог изменений:

v. 9.061 - 2025.05.25

* Обновлена база городов SxGeoCity.dat
* Картиночная капча изменена, ее новое описание: https://antibot.cloud/FAQ/tpl-txt-styles.html

------------------------------------------------------------------------

v. 9.060 - 2025.05.22

* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 9.059 - 2025.05.20

* Обновлены гео базы.
* Прочие мелкие исправления.
* Случайный вывод капч.
* Обновлен код капч (улучшена защита от ботов).

------------------------------------------------------------------------

v. 9.058 - 2025.03.03

* Обновлены гео базы.
* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 9.057 - 2025.02.13

* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 9.056 - 2025.02.02

* Обновлены гео базы.
* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 9.055 - 2025.01.23

Исправлена XSS уязвимость (возможность инъекции JavaScript или HTML-кода) в форме авторизации.

------------------------------------------------------------------------

v. 9.053 - 2025.01.01

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.052 - 2024.12.04

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.051 - 2024.11.30

* Исправлен конфликт имен классов, если SxGeo уже есть на сайте (ошибка: Cannot declare class SxGeo, because the name is already in use).
* В конфиг добавлена новая настройка, перепроверять капчей, если совпало условие: LOCAL + пустой реферер.
* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 9.050 - 2024.11.04

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.049 - 2024.10.30

* Mail.RU_Bot больше не добавляется автоматически при инстале базы.
* Для IPv4 добавлено определение городов (база SxGeoCity).
* В 5 таблицу правил добавлена возможность создавать правила по городам.

------------------------------------------------------------------------

v. 9.048 - 2024.10.09

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.047 - 2024.09.30

* Исправлена ошибка, которая в логе сохранялась с текстом: H1 Hash Error
 (несовместимость в современных версиях браузеров в определенных ситуациях).

------------------------------------------------------------------------

v. 9.046 - 2024.09.07

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.045 - 2024.07.04

* Обновлены гео базы.
* Добавлена возможность переключиться на российский облачный сервер (в конфиге).

------------------------------------------------------------------------

v. 9.044 - 2024.06.25

* Обновлены гео базы.
* Исправление мелких ошибок.

------------------------------------------------------------------------

v. 9.043 - 2024.05.06

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.042 - 2024.04.30

* Исправление мелких ошибок.

------------------------------------------------------------------------

v. 9.041 - 2024.04.26

* Исправлен баг работы некоторых страниц админки при работе на LiteSpeed.

------------------------------------------------------------------------

v. 9.040 - 2024.04.25

* Исправлен конфликт работы allow по timezone и хранения cookie в базе.

------------------------------------------------------------------------

v. 9.039 - 2024.04.24

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.038 - 2024.04.23

* Оптимизированы гео базы, уменьшен размер на 10%, увеличена скорость работы с ними.
* Добавлены заголовки запрещающие кешировать страницы проверки/блокировки для Progressive Web Apps (PWA).
* Прочие оптимизации и доработки.
* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.037 - 2024.04.12

* Добавлен выбор места хранения авторизации в cookie или в базе.

------------------------------------------------------------------------

v. 9.036 - 2024.03.04

* Исправлена редкая ошибка связанная с samesite в 20 строке func.php
* Исправления и доработки в Чек Листе.
* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.035 - 2024.03.04

* Обновлены гео базы.
* Добавлена возможность запуска крон из админки.
* Исправления в Чек Листе.

------------------------------------------------------------------------

v. 9.034 - 2024.02.22

* Доработано автоопределение IPv6 сервера.
* Исправлены php ошибки и зацикливания в Чек листе.
* Доработаны некоторые автонастройки инсталлятора.

------------------------------------------------------------------------

v. 9.033 - 2024.02.04

* Обновлены гео базы.

------------------------------------------------------------------------

v. 9.032 - 2024.01.16

* Мелкие исправления и доработки.

------------------------------------------------------------------------

v. 9.031 - 2024.01.12

* Обновлены гео базы (значительное обновление).
* В конфиге в "PHP ошибки" добавлена возможность не изменять системные настройки показа и логирования ошибок.
* Мелкие исправления и доработки.

------------------------------------------------------------------------

v. 9.030 - 2023.12.18

* Исправлена ошибка 500 в админке при выключении антибота в конфиге, когда сервер LiteSpeed и скрипт подключен через .htaccess.

------------------------------------------------------------------------

v. 9.029 - 2023.12.08

* Мелкие исправления и доработки.

------------------------------------------------------------------------

v. 9.028 - 2023.12.02

* Добавлен новый параметр в конфиг: https://antibot.cloud/FAQ/check-ab-url.html

------------------------------------------------------------------------

v. 9.027 - 2023.12.01

* Обновлены GEO базы.
* Мелкие исправления и доработки.

------------------------------------------------------------------------

v. 9.026 - 2023.11.22

* Доработана редкая несовместимость с PHP 5.6 (встречалась на timeweb).
* Оптимизирована и ускорена работа скрипта.
* Обновлены ссылки на FAQ.

------------------------------------------------------------------------

v. 9.025 - 2023.11.10

* Исправлена ошибка: PHP Deprecated:  Automatic conversion of false to array...

------------------------------------------------------------------------

v. 9.024 - 2023.11.10

* Обновлены GEO базы.
* В статистику добавлен новый столбец: SQL errors (кол-во SQL ошибок в работе антибота).
* Переделана работа счетчиков, при высоких нагрузках должно точнее считать.
* Исправлено: PHP Notice:  Undefined index: REQUEST_METHOD...
* В Чек Листе переделан поиск места подключения скрипта Антибот.
* Чек Лист доработан, чтобы запускаться на хостингах с ограничениями.

------------------------------------------------------------------------

v. 9.023 - 2023.10.31

* Обновлены GEO базы.
* Добавлена статистика по проценту посетителей с блокировщиком рекламы (раздел: Статистика).
* Исправлено редактирование "PHP обработчик" на Windows.
* Изменена авторизация в админке, после обновления разлогинит, важно авторизоваться и завершить процесс обновления.

------------------------------------------------------------------------

v. 9.022 - 2023.10.24

* Исправлена ошибка в Чек Листе: imeException: SplFileInfo::isDir(): open_basedir restriction in effect
* Расширен список условий и ситуаций, проверяемых в Чек Листе.

------------------------------------------------------------------------

v. 9.021 - 2023.10.22

* В Чек Листе исправлена совместимость с некоторыми версиями PHP и поиск в .htaccess.

------------------------------------------------------------------------

v. 9.020 - 2023.10.22

* При сохранении шаблонов (tpl.txt и error.txt) через админку теперь 
перенос строки всегда unix и не зависит от операционки и браузера.
* Доработка и расширение функционала и информации в Чек Листе.

------------------------------------------------------------------------

v. 9.019 - 2023.10.14

* Исправлены ошибки в разделе бекапа (изза некоторых имен базы не удалялись).
* Добавлена возможность блокировки по TimeZone в 5 таблице.
* Добавлен дополнительный вид кнопок: ReCAPTCHA v2 (без доп кнопок).
* Добавлен дополнительный вид кнопок: ReCAPTCHA v2 + кнопка входа.
* Изменены некоторые тексты на кнопка и странице проверки. Удалены:
$pt['Antispam:'] = 'Антиспам:';
$pt['Choose a similar color.'] = 'Выберите похожий цвет.';
$pt['Choose a similar picture.'] = 'Выберите похожую картинку.';
 Добавлены:
$pt['If you are human, click on the similar image'] = 'Если вы человек, нажмите на похожую картинку';
$pt['If you are human, click on the similar color'] = 'Если вы человек, нажмите на похожий цвет';
$pt['Confirm that you are human:'] = 'Подтвердите, что вы человек:';
$pt['Go to website'] = 'Перейти на сайт';

------------------------------------------------------------------------

v. 9.018 - 2023.10.02

* Исправлена ошибка Call to undefined function shell_exec().
* Добавлено логирование причины блокировки при FAKE по 3 таблице правил.
* Исправлены мелкие ошибки в Чек Листе.
* Возможность блокировать все Хостинговые или плохие IP (в конфиге).

------------------------------------------------------------------------

v. 9.017 - 2023.10.01

* В Чек Лист добавлены новые параметры для проверки правильности работы Антибота.

------------------------------------------------------------------------

v. 9.016 - 2023.09.29

* Исправлены мелкие ошибки страницы "Чек лист".
* Исправлена работа страницы whois.
* Исправлена ошибка при запуске сайта через CLI (из SSH консоли, по cron).

------------------------------------------------------------------------

v. 9.015 - 2023.09.27

* Исправлена ошибка в checklist.php: read of 8192 bytes failed with errno=21 Is a directory.
* Логи запросов теперь не хранятся больше года, старое удаляется автоматически.
* Обновлены ссылки на инструкции.

------------------------------------------------------------------------

v. 9.014 - 2023.09.19

* Исправления в чек листе.

------------------------------------------------------------------------

v. 9.013 - 2023.09.18

* В чек листе добавлены новые проверки.
* Исправлена обработка урла страницы с задвоенными значения символа: /

------------------------------------------------------------------------

v. 9.012 - 2023.09.14

* В конфиг доп настройка: указание пути до обработчика php (для автоудаления логов).
* Добавлен чеклист для проверки правильности установки скрипта.

------------------------------------------------------------------------

v. 9.011 - 2023.09.10

* В конфиг добавлены новые настройки: Cookie SameSite, Блокировать Iframe, период повторной блокировки IP.
* Установите нужное значение в новом поле конфига: Срок блокировки IP 2.
* Исправлены ошибки при запуске на Windows 11 (тестировалось на Open Server Panel).
* Куки для накрутки поведенческих (Секретная GET переменная) теперь распространяются и на поддомены.
* Скрыты пути к директории в которую установлен Антибот (частично, следующий раз будет до конца).
* Исправлена совместимость с PHP 5.6 и 8.3.
* Исправлена ситуация с повторным появлением проверки при наличии allow по рефереру.
* Header: Expires и Cache-Control присутствуют по умочанию во всех скриптах.
* Cron задание на удаление старых записей лога и очистку ptr кэша теперь не надо настраивать.

------------------------------------------------------------------------

v. 9.010 - 2023.07.20

* JS функция редиректа window.location.replace заменена на window.location.href
* Исправления текстов и переводов в админке.

------------------------------------------------------------------------

v. 9.009 - 2023.07.18

* Блокировка по фейк рефереру перенесена, теперь срабатывает после всех правил, но перед Last Rule.

------------------------------------------------------------------------

v. 9.008 - 2023.07.15

* Обновлена страница whois, которая показывает историю запросов ip в облако.

------------------------------------------------------------------------

v. 9.007 - 2023.07.12

* Исправлен импорт лога.
* Исправлена ошибка на Wordpress: Cannot modify header information...
* Если у посетителя отключены cookie, то будет уведомление их включить.
* Если у посетителя отключен JavaScript, то будет уведомление его включить.

------------------------------------------------------------------------

v. 9.006 - 2023.07.09

* В конфиг добавлена возможность блокировать по фейк реферерам (без scheme или path).
* Кнопка "Я не робот" лучше защищена от обнаружения ботами.
* Небольшие изменения в странице блокировки: https://antibot.cloud/FAQ/error-txt.html
* Изменен шаблон страницы блокировки.

------------------------------------------------------------------------

v. 9.005 - 2023.07.06

* Для GOODIP логов добавлено описание, по какому правилу сработало разрешение.
* Исправлено: GRAY 3 таблицы срабатывали как ALLOW.

------------------------------------------------------------------------

v. 9.004 - 2023.07.04

* В шаблонах tpl.txt и error.txt еще раз улучшен код для выравнивания по высоте.
* Исправлено сохранение utm_referrer после временной блокировки.

------------------------------------------------------------------------

v. 9.003 - 2023.07.02

* Исправлена ошибка: Undefined array key "unresponsive"...
* Если облачная подписка истекла, то скрипт отключается сам. Потом включать в конфиге.
* Добавлена возможность включать Антибот только в указанные часы, а не постоянно.
* В шаблонах tpl.txt и error.txt добавлено выравнивание по высоте.

------------------------------------------------------------------------

v. 9.002 - 2023.06.30

* Исправлен выход из админки (ссылка "Выйти" теперь работает).
* В логе новая иконка "Без JavaScript", помечаются небраузерные боты.

------------------------------------------------------------------------

v. 9.001 - 2023.06.28

* Убраны все связи и отсылки к Антиботу (ссылки, js скрипты, серверные заголовки, имена директорий и cookie).
* Браузер посетителя теперь не обращается к внешним доменам, к ним обращаются ваши php скрипты.
* Количество JS обращений уменьшено, в целом улучшена скорость работы.
* Новые настройки в конфиге.
* Дополнительные данные в логе (время работы обращения к облаку, связь ipv6 с ipv4).
* Рекапча 3 работает и на локальной проверке, а не только облачной.
* В локальной проверке немного улучшена фильтрация.
* При окончании подписки Антибот автоматически отключается, а не блокирует доступ к сайту.
* uid - уникальный id посетителя стал более постоянен.
* Удалены: re.php upd.php gray.php, upd8to9.php из директории Антибота.
* При неправильном нажатии на кнопку - бан ip на 10 сек, если в конфиге не указан более долгий срок.

------------------------------------------------------------------------

Лог изменений старых версий:

https://antibot.cloud/static/update/changelog8_ru.txt
https://antibot.cloud/static/update/changelog7_ru.txt
https://antibot.cloud/static/update/changelog6.txt
